// file: $isip/class/search/TrainNode/tnod_01.cc
// version: $Id: tnod_01.cc 8473 2002-07-26 15:37:42Z alphonso $
//

// isip include files
//
#include "TrainNode.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean TrainNode::debug(const unichar* msg_a) const {
  
  // dump the data
  //
  String output;
  String value;

  // write the forward probability at time (t)
  //
  value.assign(alpha_d);
  output.debugStr(name(), msg_a, L"alpha_d", value);  
  Console::put(output);
  
  // write the backward probability at time (t)
  //
  value.assign(beta_d);
  output.debugStr(name(), msg_a, L"beta_d", value);  
  Console::put(output);

  // write the timestamp (t)
  //
  value.assign(frame_d);
  output.debugStr(name(), msg_a, L"frame_d", value);  
  Console::put(output);
  
  // exit gracefully
  //
  return true;
}
